Upstream information

CVE-2008-2384 at MITRE

Description

SQL injection vulnerability in mod_auth_mysql.c in the mod-auth-mysql (aka libapache2-mod-auth-mysql) module for the Apache HTTP Server 2.x, when configured to use a multibyte character set that allows a \ (backslash) as part of the character encoding, allows remote attackers to execute arbitrary SQL commands via unspecified inputs in a login request.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 660957 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP4 for IPF
SUSE Linux Enterprise Server 10 SP4 for x86
  • apache2-mod_auth_mysql >= 3.0.0-14.9.1
sles10-sp4.ppc
sles10-sp4.s390x
sles10-sp4.x86
sle10-sp4-sdk.x86-64
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.ppc
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ia64
sle10-sp4-sdk.x86
ZYPP Patch Nr: 7683
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • apache2-mod_auth_mysql >= 3.0.0-14.9.1
sle10-sp3-sdk.x86
sles10-sp3.s390x
sle10-sp3-sdk.ia64
sle10-sp3-sdk.ppc
sles10-sp3.x86-64
sles10-sp3.ia64
sles10-sp3.ppc
sles10-sp3.x86
sle10-sp3-sdk.s390x
sle10-sp3-sdk.x86-64
ZYPP Patch Nr: 7682


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Server 10 SP3 apache2-mod_auth_mysql Released
SUSE Linux Enterprise Server 10 SP4 apache2-mod_auth_mysql Released
SUSE Linux Enterprise Server 10 SP4 LTSS apache2-mod_auth_mysql Released